Bug 466510 - bodhi-client exits silently on wrong password
bodhi-client exits silently on wrong password
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 12:57 EDT by Ville Skyttä
Modified: 2016-09-19 22:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-07 22:23:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2008-10-10 12:57:46 EDT
$ rpm -q bodhi-client python-fedora
bodhi-client-0.5.3-1.fc9.noarch
python-fedora-0.3.5-1.fc10.noarch

I'm not 100% sure if this is a bodhi problem, but "make update" is mostly bodhi stuff so it could be:

I just did a "make update" to submit a F-9 perl-Config-General update, and managed to enter my password wrong.  I was greeted by ... nothing.  I would have expected at least an error message, possibly also another password prompt.

$ make update
* Sat Jun 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 2.40-1
- 2.40.
Creating a new update for  perl-Config-General-2.40-1.fc9
Password for scop:
Creating a new update for  perl-Config-General-2.40-1.fc9
$
Comment 1 Ville Skyttä 2008-10-23 16:52:56 EDT
It just happened to me again, twice, and it's pretty infuriating to refill the bodhi template several times.  Any thoughts when this might be fixed?
Comment 2 Toshio Kuratomi 2008-10-23 19:56:05 EDT
I took a look at this and think I've found the problem.  Basically, bodhi-client and bodhi-server work around a problem in python-fedora-0.2.x with an incomplete hack on the client side.  python-fedora-0.2.x didn't correctly handle a response code of 403 so bodhi-server disables returning of that value when authentication is requested.

python-fedora-0.3.x remedies that and depends on the 403 response code to know that it needs to raise an AuthError.  So bodhi-server should now uncomment this line in controllers.py::login():

  # cherrypy.response.status=403

Note that bodhi-client has been working around this problem by looking for a specific message being returned from the login() method::

  if 'message' in data and data['message'] == u'You must provide your credentials before accessing this resource.':

This bug was occurring because a wrong password returns a different message.  As long as returning 403 works, we should abandon use of this workaround.

Luke says he'll push an updated bodhi server tomorrow with the 403 uncommented so bad passwords should start re-prompting then.
Comment 3 Luke Macken 2008-10-28 01:13:08 EDT
Sorry for the delay -- had to get some +1's to perform the bodhi upgrade during the pre-release freeze.

I applied the patch to our production instance, but the client will still need to be fixed.  I'll see if I can push out a new client shortly.
Comment 4 Toshio Ernie Kuratomi 2008-11-19 19:22:31 EST
Ville, could you test this with the latest bodhi client now that the server changes have been made?  I have bodhi-client-0.5.3-1.fc9.noarch and python-fedora-0.3.7-1.fc9.noarch and it seems to work.  I didn't submit an update, though, just verified that typing in an incorrect password re-prompts me.
Comment 5 Ville Skyttä 2008-11-20 13:04:29 EST
Yep, re-prompts also with bodhi-client-0.5.3-1.fc9.noarch and python-fedora-0.3.6-2.fc9.noarch, thanks.  Would not hurt to add a "Invalid username or password" error message before the re-prompt though, but this is already a very good improvement.
Comment 6 Bug Zapper 2009-06-09 22:56:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Luke Macken 2009-07-07 22:23:47 EDT
This issue has been resolved and verified.

Note You need to log in before you can comment on or make changes to this bug.